<?php

return [
    'ctrl' => [
        'title' => 'LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item',
        'label' => 'item_title',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'versioningWS' => true,
        'dividers2tabs' => true,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'sortby' => 'sorting',
        'delete' => 'deleted',
        'enablecolumns' => [
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
            'fe_group' => 'fe_group',
        ],
        'iconfile' => 'EXT:rsmfaq/icon_tx_rsmfaq_item.gif',
    ],
    'columns' => [
        't3ver_label' => [
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.versionLabel',
            'config' => [
                'type' => 'input',
                'size' => '30',
                'max' => '30',
            ]
        ],
        'sys_language_uid' => [
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.language',
            'config' => [
                'type' => 'language',
            ],
        ],
        'l10n_parent' => [
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.l18n_parent',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => [
                    ['', 0],
                ],
                'foreign_table' => 'tx_rsmfaq_item',
                'foreign_table_where' => 'AND tx_rsmfaq_item.pid=###CURRENT_PID### AND tx_rsmfaq_item.sys_language_uid IN (-1,0)',
            ]
        ],
        'l10n_diffsource' => [
            'config' => [
                'type' => 'passthrough'
            ]
        ],
        'hidden' => [
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.hidden',
            'config' => [
                'type' => 'check',
                'default' => '0'
            ]
        ],
        'starttime' => [
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.starttime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => '8',
                'eval' => 'date',
                'default' => '0',
                'checkbox' => '0'
            ]
        ],
        'endtime' => [
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.endtime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => '8',
                'eval' => 'date',
                'checkbox' => '0',
                'default' => '0',
                'range' => [
                    'upper' => mktime(3, 14, 7, 1, 19, 2038),
                    'lower' => mktime(0, 0, 0, date('m') - 1, date('d'), date('Y'))
                ]
            ]
        ],
        'fe_group' => [
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.fe_group',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'size' => 10,
                'minitems' => 0,
                'maxitems' => 20,
                'items' => [
                    ['LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.hide_at_login', -1],
                    ['LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.any_login', -2],
                    ['LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.usergroups', '--div--']
                ],
                'foreign_table' => 'fe_groups'
            ]
        ],

        'item_title' => [
            'label' => 'LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_title',
            'config' => [
                'type' => 'input',
                'size' => '46',
                'max' => '255',
                'eval' => 'required,trim',
            ]
        ],
        'item_shorttitle' => [
            'label' => 'LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_shorttitle',
            'config' => [
                'type' => 'input',
                'size' => '46',
                'max' => '255',
                'eval' => 'trim',
            ]
        ],
        'item_imagepos' => [
            'label' => 'LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_imagepos',
            'onChange' => 'reload',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => [
                    ['LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_imagepos.I.0', '0'],
                    ['LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_imagepos.I.1', '1'],
                    ['LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_imagepos.I.2', '2'],
                    ['LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_imagepos.I.3', '3'],
                ],
                'size' => 1,
                'maxitems' => 1,
                'default' => 0,
            ]
        ],
        'item_youtube' => [
            'label' => 'LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_youtube',
            'displayCond' => 'FIELD:item_imagepos:IN:3',
            'config' => [
                'type' => 'input',
                'size' => '46',
                'max' => '255',
                'eval' => 'trim',
            ]
        ],
        'item_text' => [
            'label' => 'LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_text',
            'config' => [
                'type' => 'text',
                'cols' => 30,
                'rows' => 5,
                'enableRichtext' => 1,
                'softref' => 'typolink_tag,images,email[subst],url',
            ],
        ],
        'media' => [
            'label' => 'LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_media',
            'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
                'image_field',
                [
                    'overrideChildTca' => [
                        'types' => [
                            '0' => [
                                'showitem' => '
                            --palette--;LLL:EXT:core/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;alt_caption__crop,
                            --palette--;;filePalette'
                            ],
                            \TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => [
                                'showitem' => '
                            --palette--;LLL:EXT:core/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;alt_caption__crop,
                            --palette--;;filePalette'
                            ],
                            \TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => [
                                'showitem' => '
                            --palette--;LLL:EXT:core/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;alt_caption__crop,
                            --palette--;;filePalette'
                            ],
                            \TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => [
                                'showitem' => '
                            --palette--;LLL:EXT:core/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;alt_caption__crop,
                            --palette--;;filePalette'
                            ]
                        ]
                    ],
                    'maxitems' => 99
                ],
                $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
            ),
        ],
        'item_image_overlay' => [
            'label' => 'LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_image_overlay',
            'config' => [
                'type' => 'check',
                'default' => '0'
            ]
        ],
        'item_caption' => [
            'label' => 'LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.item_image_caption',
            'config' => [
                'type' => 'text',
                'cols' => '40',
                'rows' => '6',
            ]
        ],
        'parentid' => [
            'config' => [
                'type' => 'passthrough'
            ]
        ],
    ],
    'types' => [
        '0' => ['showitem' => '    showitem = --div--;LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.tab.general,item_imagepos,item_title,item_shorttitle,media,item_youtube,item_image_overlay,item_caption,item_text,--div--;LLL:EXT:rsmfaq/locallang_db.xml:tx_rsmfaq_item.tab.access,hidden,starttime,endtime,--palette--;;1']
    ]
];
